=== online-docs/C/Makefile ===
#
# GNU Solfege - eartraining for GNOME
# Copyright (C) 2000, 2001, 2002, 2003  Tom Cato Amundsen
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

depth=../..
name = online-docs/$(notdir $(shell pwd))

include $(depth)/Makefile.inc
include ../Rules.make

all: build-stamp
build-stamp: $(wildcard *.xml *.sgml) ../create_toc.py
	$(MAKE) all-alllang
	LC_ALL=$(notdir $(shell pwd)) $(PYTHON) ../create_toc.py $(notdir $(shell pwd)) UTF-8
	touch build-stamp

install: data-install

gpl.html: gpl-appendix.sgml
	-xsltproc -o gpl.html $(dir $(stylesheet_filename))/docbook.xsl gpl-appendix.sgml
fdl.html: fdl-appendix.sgml
	-xsltproc -o fdl.html $(dir $(stylesheet_filename))/docbook.xsl fdl-appendix.sgml

all: build-stamp AUTHORS.html gpl.html fdl.html
