## solfege 3.16.4

=== debian/changelog ===
solfege (3.16.4-2) unstable; urgency=low

  * Fix the test suite so that it builds (closes: #595860) 

 -- Tom Cato Amundsen <tca@debian.org>  Sun, 19 Sep 2010 16:40:13 +0200

solfege (3.16.4-1) unstable; urgency=low

  * New upstream release
  * Fix solfege-oss description (closes: #589656)
  * Do not raise Python string exceptions (closes: #585356)
  * Updated debian/watch file

 -- Tom Cato Amundsen <tca@debian.org>  Sat, 24 Jul 2010 12:35:52 +0200

solfege (3.16.3-2) unstable; urgency=low

  * Section: extra, not optional 

 -- Tom Cato Amundsen <tca@debian.org>  Thu, 20 May 2010 21:47:24 +0200

solfege (3.16.3-1) unstable; urgency=low

  * New upstream release
  * Recommend csound (closes: #579210)

 -- Tom Cato Amundsen <tca@debian.org>  Wed, 19 May 2010 23:10:09 +0200

solfege (3.15.9-1) unstable; urgency=low

  * New upstream release.
  * Redo packaging. 

 -- Tom Cato Amundsen <tca@debian.org>  Sun, 28 Mar 2010 06:34:28 +0200

solfege (3.14.5-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Ensure xmlllint does not access the net during build: new dpatch
    xmllint-nonet from Ubuntu by Alessio Treglia. (Closes: #533993)

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 24 Nov 2009 10:01:25 +0100

solfege (3.14.5-2) unstable; urgency=low

  * Don't depent on python-gtkhtml2 (closes: #549032)

 -- Tom Cato Amundsen <tca@debian.org>  Wed, 23 Sep 2009 04:19:19 +0200

solfege (3.14.5-1) unstable; urgency=low

  * New upstream release.

 -- Tom Cato Amundsen <tca@debian.org>  Sun, 05 Jul 2009 00:27:23 +0200

solfege (3.11.3-4) unstable; urgency=low

  * added patches/xsltproc-nonet.dpatch to run xsltproc without net
    access. (Closes: #494228)

 -- Tom Cato Amundsen <tca@debian.org>  Fri, 15 Aug 2008 09:40:22 +0200

solfege (3.11.3-3) unstable; urgency=low

  * don't code on vacation: add patches/filesystem-getcwd-bug to
    patches/00list

 -- Tom Cato Amundsen <tca@debian.org>  Sat, 09 Aug 2008 10:22:11 +0200

solfege (3.11.3-2) unstable; urgency=low

  * added patches/filesystem-getcwd-bug. One line fix to replace
    getcwd with os.getcwdu. (Closes: #492818)

 -- Tom Cato Amundsen <tca@debian.org>  Thu, 31 Jul 2008 23:01:17 +0200

solfege (3.11.3-1) unstable; urgency=low

  * New upstream release
  * Adjusted pygtk version requirement.
  * Modified debian/rules to use the dh script
  * Build-depend on libxml2-utils since the tests use xmllint
  * Build-depend on gnome-doc-utils

 -- Tom Cato Amundsen <tca@debian.org>  Sun, 14 Jul 2008 07:46:47 +0200

solfege (3.10.3-1) unstable; urgency=low

  * New upstream release

 -- Tom Cato Amundsen <tca@debian.org>  Tue, 25 Mar 2008 23:56:07 +0100

solfege (3.10.1-1) unstable; urgency=low

  * New upstream release.
  * Remove the Bzr-Vcs field again. It should point the a repo of the
    debian dir, and not the upstream repo.

 -- Tom Cato Amundsen <tca@debian.org>  Thu, 07 Feb 2008 22:16:59 +0100

solfege (3.9.3-4) unstable; urgency=low

  * Added Bzr-Vcs field to the control file.

 -- Tom Cato Amundsen <tca@debian.org>  Tue, 27 Nov 2007 22:14:44 +0100

solfege (3.9.3-3) unstable; urgency=low

  * Build depend on xbase-clients and xfonts-base too. xvfb need this.
    (Closes: #449146, #449196)

 -- Tom Cato Amundsen <tca@debian.org>  Sun,  4 Nov 2007 14:05:18 +0100

solfege (3.9.3-2) unstable; urgency=low

  * Build depend on xvfb. (Closes: #449146)
  * Added Vcs-Bzr field.

 -- Tom Cato Amundsen <tca@debian.org>  Sat,  3 Nov 2007 18:15:44 +0100

solfege (3.9.3-1) unstable; urgency=low

  * New upstream release

 -- Tom Cato Amundsen <tca@debian.org>  Fri,  2 Nov 2007 11:50:00 +0100

solfege (3.8.1-1) unstable; urgency=low

  * New upstream release.

 -- Tom Cato Amundsen <tca@debian.org>  Mon, 18 Jun 2007 22:11:22 +0200

solfege (3.6.4-1) unstable; urgency=medium

  * New upstream release that consists of only small (in number of
    changed lines) fixes we to go into etch.
  * Handle upgrade from 3.0.6-1 (closes: #399214)

 -- Tom Cato Amundsen <tca@debian.org>  Fri,  8 Dec 2006 20:39:34 +0100

solfege (3.6.3-1) unstable; urgency=low

  * New upstream release

 -- Tom Cato Amundsen <tca@debian.org>  Tue, 17 Oct 2006 20:54:08 +0200

solfege (3.6.2-1) unstable; urgency=low

  * New upstream release

 -- Tom Cato Amundsen <tca@debian.org>  Mon, 16 Oct 2006 10:03:14 +0200

solfege (3.6.0-1) unstable; urgency=low

  * New upstream release.
  * Cleanup after old release missing solfege.dirs. (closes: #389523)
  * Serious attempt to follow the new python policy. (closes: 374757)
  * Depend on timidity and freepats, because this is the easiest and
    safest way to provide working sound out of the box.

 -- Tom Cato Amundsen <tca@debian.org>  Mon,  2 Oct 2006 22:30:39 +0200

solfege (3.4.1-1) unstable; urgency=low

  * New upstream release (#closes: 380578)

 -- Tom Cato Amundsen <tca@debian.org>  Mon, 31 Jul 2006 06:33:06 +0200

solfege (3.4.0-4) unstable; urgency=low

  * Remove "exit -1" bashism from two makefiles. (closes: #377363)

 -- Tom Cato Amundsen <tca@debian.org>  Sat,  8 Jul 2006 21:30:27 +0200

solfege (3.4.0-3) unstable; urgency=low

  * Build with skipmanual=yes.

 -- Tom Cato Amundsen <tca@debian.org>  Wed,  5 Jul 2006 23:10:28 +0200

solfege (3.4.0-2) unstable; urgency=low

  * Added XS-Python-Version: current
  * Added XB-Python-Version: ${python:Versions}

 -- Tom Cato Amundsen <tca@debian.org>  Thu, 29 Jun 2006 22:23:49 +0200

solfege (3.4.0-1) unstable; urgency=low

  * New upstream release.
  * Use dh_pysupport
  * Use dh_installman instead of dh_installmanpages
  * Rename /etc/solfege2.0 to /etc/solfege in preinst if it exists.
  * Adjusted debian/solfege.doc-base to find the new user manual
  * Join the old and the new changelog file into
    /usr/share/solfege/changelog.gz, not only the old.

 -- Tom Cato Amundsen <tca@debian.org>  Thu, 29 Jun 2006 20:44:21 +0200

solfege (3.0.3-1) unstable; urgency=low

  * New upstream release.

 -- Tom Cato Amundsen <tca@debian.org>  Fri, 14 Oct 2005 23:13:05 +0200


