=== debian/control ===
Source: solfege
Section: gnome
Priority: optional
Maintainer: Tom Cato Amundsen <tca@debian.org>
Build-Depends: quilt (>= 0.46-7~), debhelper (>= 7.0.50~), autotools-dev, swig, gettext, python-dev, texinfo, python-gtk2 (>=2.12.0), python-gtk2-dev (>=2.12.0), librsvg2-bin, txt2man, pkg-config, libglib2.0-dev (>= 2.8.0), python-support (>=0.8.4lenny1), xvfb, xauth, xfonts-base, libxml2-utils, gnome-doc-utils
Standards-Version: 3.8.4
Homepage: http://www.solfege.org

Package: solfege
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, python, python-gtk2 (>= 2.12), timidity, freepats
Recommends: csound
Description: Ear training software
 GNU Solfege is an ear training program for X Window written in Python,
 using the GTK+ 2.0 libraries. You can practice harmonic and
 melodic intervals, chords, scales and rhythms, and you can add new
 exercises using a simple plain text file format.
 .
 Ear training is a big subject with many connections to music theory
 and performance of music, so I won't even try to make "a complete
 computer-based ear training course". But I hope someone find this
 software useful.

Package: solfege-doc
Architecture: all
Depends: ${misc:Depends}
Section: doc
Description: documentation for GNU Solfege
 Users manual for GNU Solfege. Both the english manual and all translations.

Package: solfege-oss
Architecture: any
Depends: solfege, ${shlibs:Depends}, ${misc:Depends}
Description: OSS module for GNU Solfege
 This package contains the Python module GNU Solfege needs to access
 the sequencer device of OSS.
