## solfege 3.19.6

=== debian/changelog ===
solfege (3.19.6-1) unstable; urgency=low

  * New upstream release

 -- Tom Cato Amundsen <tca@debian.org>  Sun, 10 Apr 2011 11:04:33 +0200
