## solfege 3.20.3

=== debian/changelog ===
solfege (3.20.3-4) unstable; urgency=low

  * python-support -> dh_python2 
  * Recommends: python-pyalsa (closes: #644369)

 -- Tom Cato Amundsen <tca@debian.org>  Sat, 15 Oct 2011 20:03:30 +0200

solfege (3.20.3-3) unstable; urgency=low

  * revert 3.20.3-2, it did not fix 643609.
  * don't run xmllint (closes: #643609)

 -- Tom Cato Amundsen <tca@debian.org>  Tue, 04 Oct 2011 19:13:23 +0200

solfege (3.20.3-2) unstable; urgency=low

  * xmllint: run with --nonet (closes: #643609) 

 -- Tom Cato Amundsen <tca@debian.org>  Mon, 03 Oct 2011 22:31:44 +0200

solfege (3.20.3-1) unstable; urgency=low

  * New upstream release
  * solfege.desktop: add GenericName (closes: #641741)

 -- Tom Cato Amundsen <tca@debian.org>  Sun, 25 Sep 2011 17:22:41 +0200
