=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 
 %:
-	dh --with quilt  $@
+	dh --with quilt,python2  $@
 
 override_dh_clean:
 	dh_clean
