## solfege 3.20.6

=== debian/changelog ===
solfege (3.20.6-1) unstable; urgency=low

  * New upstream release

 -- Tom Cato Amundsen <tca@debian.org>  Thu, 21 Jun 2012 00:16:29 +0200

solfege (3.20.5-rc2-1) unstable; urgency=low

  * New upstream release

 -- Tom Cato Amundsen <tca@debian.org>  Sun, 27 May 2012 22:52:03 +0200
