=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: gnome
 Priority: optional
 Maintainer: Tom Cato Amundsen <tca@debian.org>
-Build-Depends: quilt (>= 0.46-7~), debhelper (>= 7.0.50~), autotools-dev, swig, gettext, python-dev, texinfo, python-gtk2 (>=2.12.0), python-gtk2-dev (>=2.12.0), librsvg2-bin, txt2man, pkg-config, libglib2.0-dev (>= 2.8.0), python-support (>=0.8.4lenny1), xvfb, xauth, xfonts-base, libxml2-utils, gnome-doc-utils
-Standards-Version: 3.8.4
+Build-Depends: quilt (>= 0.46-7~), debhelper (>= 7.0.50~), autotools-dev, swig, gettext, python-dev (>=2.6.6-3~), texinfo, python-gtk2 (>=2.12.0), python-gtk2-dev (>=2.12.0), librsvg2-bin, txt2man, pkg-config, libglib2.0-dev (>= 2.8.0), xvfb, xauth, xfonts-base, libxml2-utils, gnome-doc-utils
+Standards-Version: 3.9.1
 Homepage: http://www.solfege.org
 
 Package: solfege
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, python, python-gtk2 (>= 2.12), timidity, freepats
-Recommends: csound
+Depends: ${shlibs:Depends}, ${misc:Depends}, python (>=2.6.6-3~), python-gtk2 (>= 2.12), timidity, freepats
+Recommends: csound, python-pyalsa
 Description: Ear training software
  GNU Solfege is an ear training program for X Window written in Python,
  using the GTK+ 2.0 libraries. You can practice harmonic and
