=== debian/changelog ===
solfege (3.22.2-2) unstable; urgency=low

  * Don't run tests (closes: #726462)

 -- Tom Cato Amundsen <tca@debian.org>  Tue, 22 Oct 2013 21:04:47 +0200

solfege (3.22.2-1) unstable; urgency=low

  * New upstream release
  * Don't build depend on any more xvfb

 -- Tom Cato Amundsen <tca@debian.org>  Fri, 04 Oct 2013 18:41:34 +0200
