=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Tom Cato Amundsen <tca@debian.org>
-Build-Depends: quilt (>= 0.46-7~), debhelper (>= 7.0.50~), autotools-dev, swig, gettext, python-dev (>=2.6.6-3~), texinfo, python-gtk2 (>=2.12.0), python-gtk2-dev (>=2.12.0), librsvg2-bin, txt2man, pkg-config, libglib2.0-dev (>= 2.8.0), xvfb, xauth, xfonts-base, libxml2-utils, gnome-doc-utils
+Build-Depends: quilt (>= 0.46-7~), debhelper (>= 7.0.50~), autotools-dev, swig, gettext, python-dev (>=2.6.6-3~), texinfo, python-gtk2 (>=2.12.0), python-gtk2-dev (>=2.12.0), librsvg2-bin, txt2man, pkg-config, libglib2.0-dev (>= 2.8.0), xauth, xfonts-base, libxml2-utils, gnome-doc-utils
 Standards-Version: 3.9.1
 Homepage: http://www.solfege.org
