=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,7 @@
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
 
+export DEB_BUILD_OPTIONS=nocheck
 
 %:
 	dh --with quilt,python2  $@
